Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.nullObject
Class NullPropertyChangeSupport

    java.lang.Object
      |
      +--java.beans.PropertyChangeSupport
            |
            +--com.togethersoft.openapi.util.nullObject.NullPropertyChangeSupport

public class NullPropertyChangeSupport
extends PropertyChangeSupport
implements NullObject

This class has private constructor and can't to be created by anyone

Author:
  TogetherSoft

Method Summary
`static PropertyChangeSupport` | `addPropertyChangeListener(Object source, PropertyChangeSupport oldSupport, PropertyChangeListener listener)`
`static PropertyChangeSupport` | `getInstance()`
`static boolean` | `isNull(PropertyChangeSupport support)`
`static PropertyChangeSupport` | `removePropertyChangeListener(Object source, PropertyChangeSupport oldSupport, PropertyChangeListener listener)` Remove listener.

Methods inherited from class java.beans.PropertyChangeSupport
`addPropertyChangeListener, removePropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, hasListeners`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Method Detail

### addPropertyChangeListener

    public static PropertyChangeSupport addPropertyChangeListener(Object source, PropertyChangeSupport oldSupport, PropertyChangeListener listener)

### getInstance

    public static PropertyChangeSupport getInstance()

### isNull

    public static boolean isNull(PropertyChangeSupport support)

### removePropertyChangeListener

    public static PropertyChangeSupport removePropertyChangeListener(Object source, PropertyChangeSupport oldSupport, PropertyChangeListener listener)

  Remove listener. There is no way to check whether listener list is empty... Provided only for symmetry reasons

Association Links

to Class java.beans.PropertyChangeSupport

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD